Your Ad Here Your Ad Here
Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Problem updating Ubuntu in OVH server

  1. #1
    walkman79's Avatar Poster BT Rep: +2
    Join Date
    Nov 2007
    Location
    Peru
    Age
    38
    Posts
    187

    Arrow

    Hello, I hope someone help me with this problem.

    I have rented a server from OVH.com, a kimsufi with Ubuntu 8.0.4 LTS as the OS. Every thing was fine till I tried to update the system. Now, apt-get doesn't work at all:

    $ sudo apt-get upgrade
    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
    Neither Synaptic or the Update Manager . I can't install any program unless I do it manually of course. Every time I want to use any of the package/update manager I get this:

    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
    But if I run that command:

    $ sudo dpkg --configure -a
    Setting up initramfs-tools (0.85eubuntu39.1) ...
    update-initramfs: deferring update (trigger activated)

    Processing triggers for initramfs-tools ...
    update-initramfs: Generating /boot/initrd.img-2.6.24-16-generic
    Cannot find /lib/modules/2.6.24-16-generic
    update-initramfs: failed for /boot/initrd.img-2.6.24-16-generic
    dpkg: subprocess post-installation script returned error exit status 1
    I looked into that folder and I actually don't have "/lib/modules/2.6.24-16-generic":

    $ ls -la /lib/modules/
    total 12
    drwxr-xr-x 3 root root 4096 2008-06-03 08:27 .
    drwxr-xr-x 15 root root 4096 2008-07-24 01:31 ..
    drwxr-xr-x 2 root root 4096 2008-06-03 08:27 2.6.24-17-generic
    Btw, I don't have GRUB installed, I don't have physical access to the server, and as I said apt-get doesn't work at all.

    Someone suggest me to remove the postrm scripts files that fail apt from removing/reconfiguring these packages but it didn't work:

    $ sudo rm /var/lib/dpkg/info/linux-backports-modules-2.6.24-16-generic.postrm
    rm: cannot remove `/var/lib/dpkg/info/linux-backports-modules-2.6.24-16-generic.postrm': No such file or directory

    $ sudo rm /var/lib/dpkg/info/linux-ubuntu-modules-2.6.24-16-generic.postrm
    rm: cannot remove `/var/lib/dpkg/info/linux-ubuntu-modules-2.6.24-16-generic.postrm': No such file or directory
    $ sudo apt-get remove linux-ubuntu-modules-2.6.24-16-generic
    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
    $ sudo apt-get removelinux-backports-modules-2.6.24-16-generic
    E: Invalid operation removelinux-backports-modules-2.6.24-16-generic
    $ sudo apt-get remove linux-backports-modules-2.6.24-16-generic
    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
    These are the things which begins with "linux-" I have on that folder:
    $ ls -la /var/lib/dpkg/info/linux-
    linux-headers-2.6.24-16-generic.list linux-restricted-modules-2.6.24-12-generic.postrm
    linux-headers-2.6.24-16-generic.md5sums linux-restricted-modules-common.conffiles
    linux-headers-2.6.24-16-generic.postinst linux-restricted-modules-common.list
    linux-headers-2.6.24-16.list linux-restricted-modules-common.md5sums
    linux-headers-2.6.24-16.md5sums linux-restricted-modules-common.postinst
    linux-headers-2.6.24-17-generic.list linux-restricted-modules-common.postrm
    linux-headers-2.6.24-17-generic.md5sums linux-sound-base.config
    linux-headers-2.6.24-17-generic.postinst linux-sound-base.list
    linux-headers-2.6.24-17.list linux-sound-base.md5sums
    linux-headers-2.6.24-17.md5sums linux-sound-base.postinst
    linux-headers-generic.list linux-sound-base.postrm
    linux-headers-generic.md5sums linux-sound-base.templates
    linux-libc-dev.list linux-ubuntu-modules-2.6.24-12-generic.list
    linux-libc-dev.md5sums linux-ubuntu-modules-2.6.24-12-generic.postrm
    linux-restricted-modules-2.6.24-12-generic.list
    Could anyone please tell me how to fix this ?

    Any help would be greatly appreciated.

  2. BitTorrent   -   #2
    but can you sudo apt-update your repositories?

    What happens if you install a specific program>? (sudo apt-get install name)

    I hope this thread might help you futher!

  3. BitTorrent   -   #3
    KaySterling's Avatar Poster
    Join Date
    Apr 2008
    Location
    Europe
    Age
    42
    Posts
    72
    I got the same exakt problem once with my OVH box with Ubuntu as OS.
    I asked on alot of boards but i could never figure out how to fix it.

    I found a way to install ".deb" packages, first download them to the computer.
    Then open up a terminal and typing "dpkg xxxxxxx.deb". (might have been some options included like -i or something, don't remember)
    That way i could install the important stuff i needed to continue.

    But i ended up reinstalling the box..

  4. BitTorrent   -   #4
    walkman79's Avatar Poster BT Rep: +2
    Join Date
    Nov 2007
    Location
    Peru
    Age
    38
    Posts
    187
    Quote Originally Posted by goodkat View Post
    but can you sudo apt-update your repositories?

    What happens if you install a specific program>? (sudo apt-get install name)

    I hope this thread might help you futher!

    sudo apt-update isn't recognized. I think you were trying to say "sudo apt-get update"
    This is what I got:
    $ sudo apt-get update
    Hit http://ftp.tiscali.nl hardy Release.gpg
    Hit ftp://mir1.ovh.net hardy Release.gpg
    Hit http://ftp.tiscali.nl hardy/multiverse Translation-en_GB
    Hit http://ftp.tiscali.nl hardy/main Translation-en_GB
    Hit http://ftp.tiscali.nl hardy/universe Translation-en_GB
    Hit ftp://mir1.ovh.net hardy/main Translation-en_GB
    Hit ftp://mir1.ovh.net hardy/restricted Translation-en_GB
    Hit http://ftp.tiscali.nl hardy/restricted Translation-en_GB
    Hit ftp://mir1.ovh.net hardy/universe Translation-en_GB
    Hit ftp://mir1.ovh.net hardy/multiverse Translation-en_GB
    Hit http://ftp.tiscali.nl hardy Release
    Hit ftp://mir1.ovh.net hardy-updates Release.gpg
    Get: 1 ftp://mir1.ovh.net hardy-updates/main Translation-en_GB
    Ign ftp://mir1.ovh.net hardy-updates/main Translation-en_GB
    Get: 2 ftp://mir1.ovh.net hardy-updates/restricted Translation-en_GB
    Ign ftp://mir1.ovh.net hardy-updates/restricted Translation-en_GB
    Get: 3 ftp://mir1.ovh.net hardy-updates/universe Translation-en_GB
    Ign ftp://mir1.ovh.net hardy-updates/universe Translation-en_GB
    Get: 4 ftp://mir1.ovh.net hardy-updates/multiverse Translation-en_GB
    Ign ftp://mir1.ovh.net hardy-updates/multiverse Translation-en_GB
    Hit ftp://mir1.ovh.net hardy Release
    Hit ftp://mir1.ovh.net hardy-updates Release
    Hit http://ftp.tiscali.nl hardy/multiverse Packages
    Hit http://ftp.tiscali.nl hardy/main Packages
    Hit http://ftp.tiscali.nl hardy/universe Packages
    Hit http://ftp.tiscali.nl hardy/restricted Packages
    Hit ftp://mir1.ovh.net hardy/main Packages
    Hit ftp://mir1.ovh.net hardy/restricted Packages
    Hit ftp://mir1.ovh.net hardy/main Sources
    Hit ftp://mir1.ovh.net hardy/restricted Sources
    Hit ftp://mir1.ovh.net hardy/universe Packages
    Hit ftp://mir1.ovh.net hardy/universe Sources
    Hit ftp://mir1.ovh.net hardy/multiverse Packages
    Hit ftp://mir1.ovh.net hardy/multiverse Sources
    Hit ftp://mir1.ovh.net hardy-updates/main Packages
    Hit ftp://mir1.ovh.net hardy-updates/restricted Packages
    Hit ftp://mir1.ovh.net hardy-updates/main Sources
    Hit ftp://mir1.ovh.net hardy-updates/restricted Sources
    Hit ftp://mir1.ovh.net hardy-updates/universe Packages
    Hit ftp://mir1.ovh.net hardy-updates/universe Sources
    Hit ftp://mir1.ovh.net hardy-updates/multiverse Packages
    Hit ftp://mir1.ovh.net hardy-updates/multiverse Sources
    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
    Again the same error:
    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
    As I said I can't run any of the package tools like synaptic, aptitude or apt-get because I always get that error.

    I hope there is a solution without using a package tool. Otherwise, I will have to reinstall the server

    Quote Originally Posted by KaySterling View Post
    I got the same exakt problem once with my OVH box with Ubuntu as OS.
    I asked on alot of boards but i could never figure out how to fix it.

    I found a way to install ".deb" packages, first download them to the computer.
    Then open up a terminal and typing "dpkg xxxxxxx.deb". (might have been some options included like -i or something, don't remember)
    That way i could install the important stuff i needed to continue.

    But i ended up reinstalling the box..

    Yeah, I know about .deb packages. But it's annoying to run deb packages every time I need to install something. Sometimes, there are dependencies which I have to install manually by compiling the source code etc.

    Thanks for your answers.
    Last edited by walkman79; 07-24-2008 at 02:23 PM. Reason: Automerged Doublepost

  5. BitTorrent   -   #5
    indeed sudo apt-get update!

    But can you install using sudo apt-get install packagename?

    Anyway it looks quite bad, i'm not an expert. Did you try my link? Do you have grub installed?

  6. BitTorrent   -   #6
    Poster
    Join Date
    Jul 2008
    Location
    Brazil
    Posts
    54
    Reinstall it to CentOS 5.
    I had a Kimsufi too ... first with Debian ... then reinstalled to Ubuntu.
    Both versions had several problems.

    I did another reinstall to CentOS 5... now... everything works great.

    C ya

  7. BitTorrent   -   #7
    Quote Originally Posted by riparide View Post
    Reinstall it to CentOS 5.
    I had a Kimsufi too ... first with Debian ... then reinstalled to Ubuntu.
    Both versions had several problems.

    I did another reinstall to CentOS 5... now... everything works great.

    C ya
    how did you get a kimisurf since you're from Brazil? any tips?

  8. BitTorrent   -   #8
    222MHz's Avatar Poster
    Join Date
    Jul 2008
    Location
    Florida
    Posts
    197
    First off is should have been

    sudo apt-get update and then sudo apt-get safe-upgrade

    Code:
    sudo apt-get update && sudo apt-get safe-upgrade -y
    I myself prefer aptitude


    Do you have kernel headers installed?

    Code:
    sudo apt-get install linux-headers-`uname -r`
    Last edited by 222MHz; 07-25-2008 at 12:21 AM.

  9. BitTorrent   -   #9
    walkman79's Avatar Poster BT Rep: +2
    Join Date
    Nov 2007
    Location
    Peru
    Age
    38
    Posts
    187
    Thanks for your replies but none of you has actually read my first post. I can't run any sudo apt-get command, that's my problem.
    For instance:
    $ sudo apt-get install linux-headers-`uname -r`
    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
    and I don't have GRUB installed. Please read my first post carefully. Thanks anyway for the effort.

    I think I will reinstall it to CentOS as riparide suggested. However, if someone find a solution for this it will help a lot of people with the same problem.

    @ goodkat: I tried that link but the problem is a bit different, the updating process never froze, and those steps doesn't work for me because I don't have grub installed and I don't have physical access to the server.

  10. BitTorrent   -   #10
    Don't waste your time and reinstall your server.

    By the way, those guys who're saying Debian and Ubuntu are buggies are just poor admins.
    Some of my customers and I are using these distro on our servers. The only one who has severe bugs (amongst those distro provided by OVH) is the 64bits version of Ubuntu.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •